<?xml version="1.0" encoding="UTF-8" standalone="yes"?>
<root>
  <item name="org.jetbrains.jps.incremental.artifacts.instructions.ArtifactRootCopyingHandlerProvider org.jetbrains.jps.incremental.artifacts.instructions.FileCopyingHandler createCustomHandler(org.jetbrains.jps.model.artifact.JpsArtifact, java.io.File, java.io.File, org.jetbrains.jps.model.artifact.elements.JpsPackagingElement, org.jetbrains.jps.model.JpsModel, org.jetbrains.jps.builders.storage.BuildDataPaths)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;173.2099.1&quot;"/>
    </annotation>
  </item>
  <item name="org.jetbrains.jps.incremental.artifacts.instructions.ArtifactCompilerInstructionCreator java.io.File getTargetDirectory()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;173.2099.1&quot;"/>
    </annotation>
  </item>
  <item name="org.jetbrains.jps.incremental.artifacts.instructions.FileCopyingHandler void writeConfiguration(com.dynatrace.hash4j.hashing.HashSink)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;243.21565.193&quot;"/>
    </annotation>
  </item>
  <item name="org.jetbrains.jps.incremental.artifacts.instructions.JarBasedArtifactRootDescriptor JarBasedArtifactRootDescriptor(java.io.File, java.lang.String, org.jetbrains.jps.incremental.artifacts.instructions.SourceFileFilter, int, org.jetbrains.jps.incremental.artifacts.ArtifactBuildTarget, org.jetbrains.jps.incremental.artifacts.instructions.DestinationInfo, java.util.function.Predicate&lt;? super java.lang.String&gt;)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;243.21565.193&quot;"/>
    </annotation>
  </item>
  <item name="org.jetbrains.jps.incremental.artifacts.instructions.ArtifactInstructionsBuilder org.jetbrains.jps.incremental.artifacts.instructions.FileCopyingHandler createCopyingHandler(java.io.File, org.jetbrains.jps.model.artifact.elements.JpsPackagingElement, org.jetbrains.jps.incremental.artifacts.instructions.ArtifactCompilerInstructionCreator)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;173.2099.1&quot;"/>
    </annotation>
  </item>
  <item name="org.jetbrains.jps.incremental.artifacts.instructions.ArtifactRootDescriptor void writeConfiguration(com.dynatrace.hash4j.hashing.HashSink, org.jetbrains.jps.incremental.relativizer.PathRelativizerService)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;243.21565.193&quot;"/>
    </annotation>
  </item>
</root>
